Skip to main content
POST
Activate a charging key

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

referenceId
string
required

Human-readable identifier written on the rfid card or tag, visualNumber from the charging key reservation.

userId
string
required

The unique identifier of the user who will own this charging key. Must be a valid user ID in your system.

Body

application/json

Optional request payload to activate a charging key.

whitelist
enum<string>

Defines whether the CPO may allow a session for this charging key when it cannot get a response from the EMP, or must always rely on realtime authorization from the EMP. Possible values: ALLOWED_OFFLINE, NEVER.

Available options:
ALLOWED_OFFLINE,
NEVER
Example:

"NEVER"

Response

OK

Represents a charging key assigned to a user account.

keyId
string
required

Identifier used for this charging key (uid in the case of a physical charging key)

Example:

"0eb7732d-eb7a-418c"

validFrom
string<date-time>
required

UTC timestamp when the charging key becomes valid.

Example:

"2022-01-24T11:25:54.210Z"

validTo
string<date-time>
required

UTC timestamp when the charging key expires.

Example:

"2032-01-24T11:25:54.210Z"

type
string
required

Possible values include, but aren't limited to: 'tag', 'card', 'virtual', 'plug_and_charge'.

Example:

"card"

enabled
boolean
required

Indicates if the key can start a session or not

created
string<date-time>
required

UTC timestamp when the charging key was created.

updated
string<date-time>
required

UTC timestamp when the charging key was last updated.

referenceId
string

Visual number for RFID and virtual keys, Plug and Charge identifier (PCID )for plug_and_charge keys

Example:

"DE*8PS*AD21B1*3"

contractId
string

Identifier used in the context of roaming

Example:

"DE-8PS-C0AD21B13-Q"

name
string

Key name (usually set by end-users to name their keys when they have multiple ones).

Example:

"My RFID key"

whitelist
enum<string>

Defines whether the CPO may allow a session for this charging key when it cannot get a response from the EMP, or must always rely on realtime authorization from the EMP. Possible values: ALLOWED_OFFLINE, NEVER.

Available options:
ALLOWED_OFFLINE,
NEVER
Example:

"NEVER"